Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.svcorch
Interface Orchestration

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface Orchestration

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Orchestration'.

The following features are supported:

- `Nodes`
- `Global Slots`
- `Service`
- `Operation`
- `Input Param Bindings`
- `Return Slot`
- `Exception Mappings`
- `Principal Name Slot`

See Also:
  `SvcorchPackage.getOrchestration()`

Method Summary
`ExceptionMappings` | `getExceptionMappings()` Returns the value of the 'Exception Mappings' containment reference
`DataSlots` | `getGlobalSlots()` Returns the value of the 'Global Slots' containment reference
`InputParamBindings` | `getInputParamBindings()` Returns the value of the 'Input Param Bindings' containment reference
`Nodes` | `getNodes()` Returns the value of the 'Nodes' containment reference
`Operation` | `getOperation()` Returns the value of the 'Operation' reference
`DataSlot` | `getPrincipalNameSlot()` Returns the value of the 'Principal Name Slot' reference
`DataSlot` | `getReturnSlot()` Returns the value of the 'Return Slot' reference
`ServiceDef` | `getService()` Returns the value of the 'Service' reference
`void` | `setExceptionMappings(ExceptionMappings value)` Sets the value of the '`Exception Mappings`' containment reference
`void` | `setGlobalSlots(DataSlots value)` Sets the value of the '`Global Slots`' containment reference
`void` | `setInputParamBindings(InputParamBindings value)` Sets the value of the '`Input Param Bindings`' containment reference
`void` | `setNodes(Nodes value)` Sets the value of the '`Nodes`' containment reference
`void` | `setOperation(Operation value)` Sets the value of the '`Operation`' reference
`void` | `setPrincipalNameSlot(DataSlot value)` Sets the value of the '`Principal Name Slot`' reference
`void` | `setReturnSlot(DataSlot value)` Sets the value of the '`Return Slot`' reference
`void` | `setService(ServiceDef value)` Sets the value of the '`Service`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNodes

    Nodes getNodes()

  Returns the value of the 'Nodes' containment reference.

  If the meaning of the 'Nodes' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nodes' containment reference.
  See Also:
    `setNodes(Nodes)`, `SvcorchPackage.getOrchestration_Nodes()`

### setNodes

    void setNodes(Nodes value)

  Sets the value of the '`Nodes`' containment reference.

  Parameters:
    `value` - the new value of the 'Nodes' containment reference.
  See Also:
    `getNodes()`

### getGlobalSlots

    DataSlots getGlobalSlots()

  Returns the value of the 'Global Slots' containment reference.

  If the meaning of the 'Global Slots' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Global Slots' containment reference.
  See Also:
    `setGlobalSlots(DataSlots)`, `SvcorchPackage.getOrchestration_GlobalSlots()`

### setGlobalSlots

    void setGlobalSlots(DataSlots value)

  Sets the value of the '`Global Slots`' containment reference.

  Parameters:
    `value` - the new value of the 'Global Slots' containment reference.
  See Also:
    `getGlobalSlots()`

### getService

    ServiceDef getService()

  Returns the value of the 'Service' reference.

  If the meaning of the 'Service' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service' reference.
  See Also:
    `setService(ServiceDef)`, `SvcorchPackage.getOrchestration_Service()`

### setService

    void setService(ServiceDef value)

  Sets the value of the '`Service`' reference.

  Parameters:
    `value` - the new value of the 'Service' reference.
  See Also:
    `getService()`

### getOperation

    Operation getOperation()

  Returns the value of the 'Operation' reference.

  If the meaning of the 'Operation' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Operation' reference.
  See Also:
    `setOperation(Operation)`, `SvcorchPackage.getOrchestration_Operation()`

### setOperation

    void setOperation(Operation value)

  Sets the value of the '`Operation`' reference.

  Parameters:
    `value` - the new value of the 'Operation' reference.
  See Also:
    `getOperation()`

### getInputParamBindings

    InputParamBindings getInputParamBindings()

  Returns the value of the 'Input Param Bindings' containment reference.

  If the meaning of the 'Input Param Bindings' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Input Param Bindings' containment reference.
  See Also:
    `setInputParamBindings(InputParamBindings)`, `SvcorchPackage.getOrchestration_InputParamBindings()`

### setInputParamBindings

    void setInputParamBindings(InputParamBindings value)

  Sets the value of the '`Input Param Bindings`' containment reference.

  Parameters:
    `value` - the new value of the 'Input Param Bindings' containment reference.
  See Also:
    `getInputParamBindings()`

### getReturnSlot

    DataSlot getReturnSlot()

  Returns the value of the 'Return Slot' reference.

  If the meaning of the 'Return Slot' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Return Slot' reference.
  See Also:
    `setReturnSlot(DataSlot)`, `SvcorchPackage.getOrchestration_ReturnSlot()`

### setReturnSlot

    void setReturnSlot(DataSlot value)

  Sets the value of the '`Return Slot`' reference.

  Parameters:
    `value` - the new value of the 'Return Slot' reference.
  See Also:
    `getReturnSlot()`

### getExceptionMappings

    ExceptionMappings getExceptionMappings()

  Returns the value of the 'Exception Mappings' containment reference.

  If the meaning of the 'Exception Mappings' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Exception Mappings' containment reference.
  See Also:
    `setExceptionMappings(ExceptionMappings)`, `SvcorchPackage.getOrchestration_ExceptionMappings()`

### setExceptionMappings

    void setExceptionMappings(ExceptionMappings value)

  Sets the value of the '`Exception Mappings`' containment reference.

  Parameters:
    `value` - the new value of the 'Exception Mappings' containment reference.
  See Also:
    `getExceptionMappings()`

### getPrincipalNameSlot

    DataSlot getPrincipalNameSlot()

  Returns the value of the 'Principal Name Slot' reference.

  If the meaning of the 'Principal Name Slot' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Principal Name Slot' reference.
  See Also:
    `setPrincipalNameSlot(DataSlot)`, `SvcorchPackage.getOrchestration_PrincipalNameSlot()`

### setPrincipalNameSlot

    void setPrincipalNameSlot(DataSlot value)

  Sets the value of the '`Principal Name Slot`' reference.

  Parameters:
    `value` - the new value of the 'Principal Name Slot' reference.
  See Also:
    `getPrincipalNameSlot()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD